package com.steerinfo.ftp.securitytype.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ftp.securitytype.model.SecurityType;

import java.util.List;
import java.util.Map;

/**
 * SecurityType服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-07-27 04:21
 * 类描述
 * 修订历史：
 * 日期：2021-07-27
 * 作者：generator
 * 参考：
 * 描述：SecurityType服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ISecurityTypeService extends IBaseService<SecurityType, String>{
    List<SecurityType> getTree();

    List<SecurityType> getTreeByInfo(String securityInfo);

    List<SecurityType> getParent();

    List<SecurityType> getIdAndName(Map<String, Object> parameters);

    Integer getMaxSeqNo();

    String getURL(String parentId);

    Integer getParentNum(String parentId);
}